Este foro usa cookies
Este foro utiliza cookies para almacenar su información de inicio de sesión si está registrado y su última visita si no lo está. Las cookies son pequeños documentos de texto almacenados en su computadora; las cookies establecidas por este foro solo se pueden usar en este sitio web y no representan ningún riesgo de seguridad. Las cookies en este foro también rastrean los temas específicos que ha leído y la última vez que los leyó. Si Ud. continúa navegando, entenderemos que acepta todas las cookies.

Se almacenará una cookie en su navegador, independientemente de la elección, para evitar que se le vuelva a hacer esta pregunta. Podrá cambiar la configuración de sus cookies en cualquier momento utilizando el enlace en el pie de página.

El foro antiguo se encuentra accesible desde https://foro.gambas-es.org en modo de solo lectura.

Calificación:
  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5

¿Os funciona Gambas en Ubuntu 22.04?
#1

Hoy me ha dado por instalar Ubuntu 22.04 y al abrir Gambas veo que se me cierra de golpe. Abro un terminal y me encuentro esto.
[Imagen: hA9HjH5.png]
Veo que es la versión 3.16.3. Debería de ser una versión estable, pero supongo que debería tener algún fallo. Así que instalo la última versión a través del PPA, actualizo, abro Gambas y de repente se vuelve a cerrar.
[Imagen: bjqjvzU.png]
No se que puede estar pasando. Es una cosa rara. Lo que si he notado es que se cierra inesperadamente cuando usas la notación punto de alguna clase y en ese momento sale el asistente, cuando pulsas una tecla, en ese momento se cierra. ¿Soy el único o le pasa a mas gente?

Un abrazo.
    ¡Gracias!
#2

Algo parecido me pasó. Creyendo que era un problema con gtk cambié el tema de qt5 a uno que no usa librerías gtk, cleanlooks, y ejecuto el IDE con la versión qt.
Desde entonces no me ha dado más problemas con eso.

No sé si eso te ayuda.

Saludos

No podemos regresar
    ¡Gracias!
#3

Hola Shordi.

No tengo ni idea como  se ejecuta el IDE con la versión Qt y  mira que he revisado todas las opciones.  Y en cuanto al tema del IDE he probado con unos cuantos y sigue pasando lo mismo.

Un saludo.
    ¡Gracias!
#4

(08-05-2022, 01:04)guizans escribió:  Hola Shordi.

No tengo ni idea como  se ejecuta el IDE con la versión Qt y  mira que he revisado todas las opciones.  Y en cuanto al tema del IDE he probado con unos cuantos y sigue pasando lo mismo.

Un saludo.

En Ubuntu no estoy seguro, porque no lo uso pero en Mint basta con añadir el lanzador de Gambas al panel y pulsar botón derecho sobre él. Eso despliega un menú con la opción de elegir librería gráfica.

Por algún misterio el foro no me deja adjuntar una imagen en el mensaje, te la pongo como fichero adjunto


Archivos adjuntos Miniatura(s)
   

No podemos regresar
    ¡Gracias!
#5

(08-05-2022, 09:17)Shordi escribió:  Por algún misterio el foro no me deja adjuntar una imagen en el mensaje, te la pongo como fichero adjunto

[Imagen: JvW6Bu2.png]
esta la adjunte usando imgur el icono cuadrado negro con una i, creo que es lo que funciona siempre.

Hola Guizans, has probado desisntalar gambas y purgar todo rastro de la misma y luego instalar la version mas reciende de ppa?
Yo no uso ubuntu 22 pero recuerdo que una vez m paso algo parecido y al desintalar + purgar + reinstalar todo volvió a funcionar.

1 Saludo.
    ¡Gracias!
#6

Señalé que Gambas no funcionaba en Ubuntu 22.04 cuando estaba en Beta. Si miras la lista de correo de Gambas, verás que no hubo interés en responder a mi correo sobre el tema. Por segunda vez, ¡la LTS de Ubuntu tiene Gambas que no funciona!
¡Parece que a Benoît no le interesa que funcione en el repositorio más utilizado de Linux! El ppa sí funciona.
    ¡Gracias!
#7

Mismo problema por aqui. Voy a probar la solucion de Shordi.

"Es mejor saber todo de muy poco que muy poco de todo" - anonimo
    ¡Gracias!
#8

Hola

Pues la solución de Shordi parece ser la ideal. Click derecho sobre el icono del lanzador, abrir en QT5 y por lo que llevo probado todo funciona. Esperemos que no tenga más sustos.

Muchas gracias.

Un saludo.
    ¡Gracias!
#9

(08-05-2022, 12:31)cogier escribió:  ¡Parece que a Benoît no le interesa que funcione en el repositorio más utilizado de Linux! El ppa sí funciona.

No creo que el tema vaya por ese lado ya que los que mantienen el paquete gambas en ubuntu son un equipo llamado "Ubuntu MOTU mantainers"
Luego en la pagina del paquete, en el lateral derecho dice claramente:
Maintainer:
Ubuntu MOTU Developers (Mail Archive)
Please consider filing a bug or asking a question via Launchpad before contacting the maintainer directly.

Por lo tanto me dirijo al bug tracker de launchpad
https://bugs.launchpad.net/ubuntu/jammy/+source/gambas3
Peeeero... voilà no aparece nada sobre que el paquete en ubuntu 22.04 no funciona, incluso no aparece nada de nada, cero bugs.
Con todo este ladrillo no quiero quitar razón al enojo que sienten los usuarios de gambas cuando este no funciona en una de las distribuciones de Linux mas utilizadas, simplemente quiero decir que hay que decirlo en el canal adecuado, es decir:
https://bugs.launchpad.net/ubuntu/jammy/+source/gambas3

1 Saludo.
    ¡Gracias!
#10

Cita:No creo que el tema vaya por ese lado ya que los que mantienen el paquete gambas en ubuntu son un equipo llamado "Ubuntu MOTU mantainers"

Es una crítica justa. He añadido un informe de errores. Simplemente me sorprendió la total falta de interés de la lista de correo.  

https://bugs.launchpad.net/ubuntu/+sourc...ug/1972161
    ¡Gracias!


Posibles temas similares…
Tema / Autor Respuestas Vistas Último mensaje
Último mensaje por Shell
26-09-2021, 00:39

Salto de foro:


Usuarios navegando en este tema: 1 invitado(s)